aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/gcc/gcc-4.3.1/debian/ada-gcc-name.dpatch
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/gcc/gcc-4.3.1/debian/ada-gcc-name.dpatch
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/gcc/gcc-4.3.1/debian/ada-gcc-name.dpatch')
-rw-r--r--recipes/gcc/gcc-4.3.1/debian/ada-gcc-name.dpatch87
1 files changed, 87 insertions, 0 deletions
diff --git a/recipes/gcc/gcc-4.3.1/debian/ada-gcc-name.dpatch b/recipes/gcc/gcc-4.3.1/debian/ada-gcc-name.dpatch
new file mode 100644
index 0000000000..681d634480
--- /dev/null
+++ b/recipes/gcc/gcc-4.3.1/debian/ada-gcc-name.dpatch
@@ -0,0 +1,87 @@
+#! /bin/sh -e
+
+# DP: use gcc-4.3 instead of gcc as the command name.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+Index: gcc/ada/comperr.adb
+===================================================================
+--- gcc/ada/comperr.adb.orig 2007-09-10 18:53:41.000000000 +0200
++++ gcc/ada/comperr.adb 2007-12-05 00:15:52.596687382 +0100
+@@ -330,7 +330,7 @@
+ End_Line;
+
+ Write_Str
+- ("| Include the exact gcc or gnatmake command " &
++ ("| Include the exact gcc-4.3 or gnatmake command " &
+ "that you entered.");
+ End_Line;
+
+Index: gcc/ada/gnatlink.adb
+===================================================================
+--- gcc/ada/gnatlink.adb.orig 2007-10-19 15:14:33.000000000 +0200
++++ gcc/ada/gnatlink.adb 2007-12-05 00:15:52.596687382 +0100
+@@ -137,7 +137,7 @@
+ -- This table collects the arguments to be passed to compile the binder
+ -- generated file.
+
+- Gcc : String_Access := Program_Name ("gcc");
++ Gcc : String_Access := Program_Name ("gcc-4.3");
+
+ Read_Mode : constant String := "r" & ASCII.Nul;
+
+@@ -1368,7 +1368,8 @@
+ end if;
+
+ Write_Line (" --GCC=comp Use comp as the compiler");
+- Write_Line (" --LINK=nam Use 'nam' for the linking rather than 'gcc'");
++ Write_Line (" --LINK=nam Use 'nam' for the linking rather " &
++ "than 'gcc-4.3'");
+ Write_Eol;
+ Write_Line (" [non-Ada-objects] list of non Ada object files");
+ Write_Line (" [linker-options] other options for the linker");
+Index: gcc/ada/make.adb
+===================================================================
+--- gcc/ada/make.adb.orig 2007-10-19 15:14:33.000000000 +0200
++++ gcc/ada/make.adb 2007-12-05 00:15:52.604687208 +0100
+@@ -662,7 +662,7 @@
+ -- Compiler, Binder & Linker Data and Subprograms --
+ ----------------------------------------------------
+
+- Gcc : String_Access := Program_Name ("gcc");
++ Gcc : String_Access := Program_Name ("gcc-4.3");
+ Gnatbind : String_Access := Program_Name ("gnatbind");
+ Gnatlink : String_Access := Program_Name ("gnatlink");
+ -- Default compiler, binder, linker programs
+Index: gcc/ada/gnatchop.adb
+===================================================================
+--- gcc/ada/gnatchop.adb.orig 2007-10-19 15:14:33.000000000 +0200
++++ gcc/ada/gnatchop.adb 2007-12-05 00:15:52.612687034 +0100
+@@ -44,7 +44,7 @@
+ Config_File_Name : constant String_Access := new String'("gnat.adc");
+ -- The name of the file holding the GNAT configuration pragmas
+
+- Gcc : String_Access := new String'("gcc");
++ Gcc : String_Access := new String'("gcc-4.3");
+ -- May be modified by switch --GCC=
+
+ Gcc_Set : Boolean := False;